Skip to main content
PUT
Rename object type

Supported products

Path Parameters

objectTypeId
string
required

Object type ID of the object type to rename.

Body

application/json
pluralLabel
string
required

A string representing the plural form of the label for the object type.

singularLabel
string
required

A string representing the singular form of the label for the object type.

Response

successful operation

proposedPropertyLabelChangesByInternalNameByObjectTypeId
object
required

An object mapping each object type ID to another object, which maps internal property names to their proposed label changes. Each proposed label change is represented by a PropertyLabelChange object.

Last modified on October 30, 2026